## org.eclipse.jst.jsf.facesconfig.emf.impl
Class RenderKitTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.RenderKitTypeImpl

All Implemented Interfaces:
  RenderKitType

    public class RenderKitTypeImpl

extends EObjectImpl
implements RenderKitType

An implementation of the model object 'Render Kit Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Render Kit Id`
- `Render Kit Class`
- `Renderer`
- `Client Behavior Renderer`
- `Render Kit Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetRenderKitClass(RenderKitClassType newRenderKitClass, NotificationChain msgs)`
`NotificationChain` `basicSetRenderKitId(RenderKitIdType newRenderKitId, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getClientBehaviorRenderer()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`EList` `getRenderer()`
`RenderKitClassType` `getRenderKitClass()`
`EList` `getRenderKitExtension()`
`RenderKitIdType` `getRenderKitId()`
`void` `setId(java.lang.String newId)`
`void` `setRenderKitClass(RenderKitClassType newRenderKitClass)`
`void` `setRenderKitId(RenderKitIdType newRenderKitId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `RenderKitType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `RenderKitType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `RenderKitType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_Icon()`

### getRenderKitId

    public RenderKitIdType getRenderKitId()

  Specified by:
    `getRenderKitId` in interface `RenderKitType`
  Returns:
    the value of the 'Render Kit Id' containment reference.
  See Also:
    `RenderKitType.setRenderKitId(RenderKitIdType)`, `FacesConfigPackage.getRenderKitType_RenderKitId()`

### basicSetRenderKitId

    public NotificationChain basicSetRenderKitId(RenderKitIdType newRenderKitId,
                                                 NotificationChain msgs)

  Parameters:
    `newRenderKitId` -
    `msgs` -
  Returns:
    the notification chain

### setRenderKitId

    public void setRenderKitId(RenderKitIdType newRenderKitId)

  Specified by:
    `setRenderKitId` in interface `RenderKitType`
  Parameters:
    `newRenderKitId` - the new value of the 'Render Kit Id' containment reference.
  See Also:
    `RenderKitType.getRenderKitId()`

### getRenderKitClass

    public RenderKitClassType getRenderKitClass()

  Specified by:
    `getRenderKitClass` in interface `RenderKitType`
  Returns:
    the value of the 'Render Kit Class' containment reference.
  See Also:
    `RenderKitType.setRenderKitClass(RenderKitClassType)`, `FacesConfigPackage.getRenderKitType_RenderKitClass()`

### basicSetRenderKitClass

    public NotificationChain basicSetRenderKitClass(RenderKitClassType newRenderKitClass,
                                                    NotificationChain msgs)

  Parameters:
    `newRenderKitClass` -
    `msgs` -
  Returns:
    the notification chain

### setRenderKitClass

    public void setRenderKitClass(RenderKitClassType newRenderKitClass)

  Specified by:
    `setRenderKitClass` in interface `RenderKitType`
  Parameters:
    `newRenderKitClass` - the new value of the 'Render Kit Class' containment reference.
  See Also:
    `RenderKitType.getRenderKitClass()`

### getRenderer

    public EList getRenderer()

  Specified by:
    `getRenderer` in interface `RenderKitType`
  Returns:
    the value of the 'Renderer' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_Renderer()`

### getClientBehaviorRenderer

    public EList getClientBehaviorRenderer()

  Specified by:
    `getClientBehaviorRenderer` in interface `RenderKitType`
  Returns:
    the value of the 'Client Behavior Renderer' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_ClientBehaviorRenderer()`

### getRenderKitExtension

    public EList getRenderKitExtension()

  Specified by:
    `getRenderKitExtension` in interface `RenderKitType`
  Returns:
    the value of the 'Render Kit Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getRenderKitType_RenderKitExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `RenderKitType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `RenderKitType.setId(String)`, `FacesConfigPackage.getRenderKitType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `RenderKitType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `RenderKitType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()